﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using C1.WPF.FlexGrid;

namespace WpfApplication1
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            PopulateUnboundGrid();
        }

        // fill unbound grid with data
        void PopulateUnboundGrid()
        {
            // allow merging
            var fg = this.c1FlexGrid1;
            fg.AllowMerging = AllowMerging.All;

            // add rows/columns to the unbound grid
            for (int i = 0; i < 10; i++)
            {
                fg.Columns.Add(new Column());
            }
            for (int i = 0; i < 50; i++)
            {
                fg.Rows.Add(new Row());
            }

            // set unbound column headers
            var ch = fg.ColumnHeaders;
            ch.Rows.Add(new Row()); 
            
            ch[0, 0] = "省份城市";
            ch[1, 0] = "省名"; 

            ch[0, 1] = "省份城市";
            ch[1, 1] = "城市"; 
   

            // allow merging the first fixed row
            ch.Rows[0].AllowMerging = true;

        }
    }
}
